### Enumeration

# AppStreamCompose ImageFormat

#### Declaration

    enum AppStreamCompose.ImageFormat

#### Description [src]

File format of an image.

#### Members

`ASC_IMAGE_FORMAT_UNKNOWN`

  Unknown image format.

  - Value: `0`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_PNG`

  PNG format.

  - Value: `1`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_JXL`

  JPEG-XL format.

  - Value: `2`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_AVIF`

  AVIF format.

  - Value: `3`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_WEBP`

  WebP format.

  - Value: `4`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_SVG`

  SVG format.

  - Value: `5`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_SVGZ`

  Compressed SVG format.

  - Value: `6`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_JPEG`

  JPEG format.

  - Value: `7`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_GIF`

  GIF format.

  - Value: `8`
  - Available since: 1.0
`ASC_IMAGE_FORMAT_XPM`

  XPM format.

  - Value: `9`
  - Available since: 1.0

#### Type functions

###### asc_image_format_from_filename

Returns the image format type based on the given file’s filename.

###### asc_image_format_from_string

Converts the text representation to an enumerated value.

###### asc_image_format_to_string

Converts the enumerated value to an text representation.